//
//  DemoTableViewController.m
//  RTLabelProject
//
/**
 * Copyright (c) 2010 Muh Hon Cheng
 * Created by honcheng on 1/6/11.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the 
 * "Software"), to deal in the Software without restriction, including 
 * without limitation the rights to use, copy, modify, merge, publish, 
 * distribute, sublicense, and/or sell copies of the Software, and to 
 * permit persons to whom the Software is furnished to do so, subject 
 * to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be 
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT 
 * WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT 
 * SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE 
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, 
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR 
 * IN CONNECTION WITH THE SOFTWARE OR 
 * THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * @author 		Muh Hon Cheng <honcheng@gmail.com>
 * @copyright	2011	Muh Hon Cheng
 * @version
 * 
 */

#import "DemoTableViewController.h"
#import "DemoTableViewCell.h"
#import "RTLabel.h"
#import "ECSlidingViewController.h"
#import "SlideMenuViewController.h"
#import "SimplePost.h"

@implementation DemoTableViewController
@synthesize db;
@synthesize slideMenuBtn;
//@synthesize sendButton;
@synthesize personalDetails;
@synthesize medication;
@synthesize monthlyStatistics;
@synthesize monthlyAttacks,sym,trig;

static NSString *kAddTask = @"http://192.168.1.107/my_tasks/add_task.php";


#pragma mark -
#pragma mark Initialization
- (void)viewWillAppear:(BOOL)animated {
    [super viewWillDisappear:animated];
    [[self navigationController] setNavigationBarHidden:NO animated:YES];
 [self.navigationController.navigationBar.topItem setTitle:@"Summary"];
   // sendButton = [[UIBarButtonItem alloc]initWithTitle:@"Send" style:UIBarButtonItemStyleBordered target:self action:@selector(sendEntry:)];
    
   // [self.navigationController.navigationBar.topItem setRightBarButtonItem:sendButton];

}

-(void)viewDidLoad{
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor colorWithRed:190/256.0 green:225/256.0 blue:252/256.0 alpha:1.0];
   
    self.view.layer.shadowOpacity = 0.75f;
    self.view.layer.shadowRadius = 10.0f;
    self.view.layer.shadowColor = [UIColor blackColor].CGColor;
    
    
    if (![self.slidingViewController.underLeftViewController isKindOfClass:[SlideMenuViewController class]]) {
        self.slidingViewController.underLeftViewController  = [self.storyboard instantiateViewControllerWithIdentifier:@"SlideMenu"];
    }
    
    self.slideMenuBtn = [UIButton buttonWithType:UIButtonTypeCustom];
    slideMenuBtn.frame = CGRectMake(8, 10, 34, 24);
    [slideMenuBtn setBackgroundImage:[UIImage imageNamed:@"Button.png"] forState:UIControlStateNormal];
    [slideMenuBtn addTarget:self action:@selector(revealMenu:) forControlEvents:UIControlEventTouchUpInside];
    
    
    [self.view addSubview:self.slideMenuBtn];
    
    // Uncomment the following line to preserve selection between presentations.
    // self.clearsSelectionOnViewWillAppear = NO;
    
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
    
    
   // [[self navigationController] setNavigationBarHidden:NO animated:YES];
    
 
}
- (id)initWithCoder:(NSCoder *)aDecoder
{
    if (self) {
        
        
        Asthma *movie = [Asthma movieWithTitle:@""content:@""];
       
        
        // SELECT PERSONAL DETAILS!!!
        db = [[database alloc] init];
        
        NSMutableDictionary *takis = [[NSMutableDictionary alloc] init];
        takis = [db selectFromPeakFlow];
        for (id key in takis) {
             NSLog(@"key: %@, value: %@", key, [takis objectForKey:key]);
        }
        
        movie.name =[db selectFromTableNSString:@"name":@"personaldetailsTable"];
        movie.surname = [db selectFromTableNSString:@"surname" :@"personaldetailsTable"];
        movie.gender = [db selectFromTableNSString:@"gender" :@"personaldetailsTable"];        
        movie.dob =[db selectFromTableNSString:@"dob" :@"personaldetailsTable"];

        NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
        NSDate *dateFromString = [[NSDate alloc] init]; // <- non freed instance
        [dateFormatter setDateFormat:@"yyyy-MM-dd HH:mm:ss ZZZZ"];
        dateFromString = [dateFormatter dateFromString:movie.dob];

        [dateFormatter setDateFormat:@"yyyy-MM-dd"];

        NSString *dobString = [dateFormatter stringFromDate:dateFromString];


        
        if (movie.dob == nil) {
            movie.dob = @"                                            ";

        }

            // dobString = [movie.dob substringWithRange:NSMakeRange(0, [movie.dob length]-14)];
        
        
        //movie.dob = [db selectFromTableNSDate:@"dob" :@"personaldetailsTable"];
        
        movie.height = [db selectFromTableNSNumber:@"height":@"personaldetailsTable"];
        movie.weight = [db selectFromTableNSNumber:@"weight":@"personaldetailsTable"];
        movie.doctorname = [db selectFromTableNSString:@"doctorname" :@"personaldetailsTable"];
        movie.doctormail = [db selectFromTableNSString:@"doctormail" :@"personaldetailsTable"];
        
        // SELECT ATTACK REPORT
        movie.dateAttack = [db selectFromTableNSString:@"dateAttack" :@"attackTable"];
        
        NSDateFormatter *dateFormatter2 = [[NSDateFormatter alloc] init];
        NSDate *dateFromString2 = [[NSDate alloc] init]; // <- non freed instance
        [dateFormatter2 setDateFormat:@"yyyy-MM-dd HH:mm:ss ZZZZ"];
        dateFromString2 = [dateFormatter2 dateFromString:movie.dateAttack];
        
        [dateFormatter2 setDateFormat:@"yyyy-MM-dd"];
        
        NSString *dateAttackString = [dateFormatter2 stringFromDate:dateFromString2];
        //NSString *dateAttackString;
 
        if (movie.dateAttack==nil) {
            movie.dateAttack = @"                                         ";
        }

                //dateAttackString = [movie.dateAttack substringWithRange:NSMakeRange(0, [movie.dateAttack length]-14)];
           
        
        
        movie.duration = [db selectFromTableNSNumber:@"duration" :@"attackTable"];
        movie.prepostMeds = [db selectFromTableNSString:@"prepostMeds" :@"attackTable"];
        movie.notes = [db selectFromTableNSString:@"notes" :@"attackTable"];
        movie.location = [db selectFromTableNSString:@"location" :@"attackTable"];
        
        // MEDICATION REPORT
        movie.inputmedication =[db selectFromTableNSString:@"inputmedication":@"medicationTable"];
        movie.dose = [db selectFromTableNSNumber:@"dose" :@"medicationTable"];
        movie.inputmedication2 =[db selectFromTableNSString:@"inputmedication2":@"medicationTable"];
        movie.dose2 = [db selectFromTableNSNumber:@"dose2" :@"medicationTable"];
        movie.inputmedication3 =[db selectFromTableNSString:@"inputmedication3":@"medicationTable"];
        movie.dose3 = [db selectFromTableNSNumber:@"dose3" :@"medicationTable"];
        
        // TRIGGERS REPORT
        movie.dust = [db selectFromTableNSString:@"dust" :@"triggersTable"];
        movie.pollen = [db selectFromTableNSString:@"pollen" :@"triggersTable"];
        movie.exercise = [db selectFromTableNSString:@"exercise" :@"triggersTable"];
        movie.smoke = [db selectFromTableNSString:@"smoke" :@"triggersTable"];
        movie.illness = [db selectFromTableNSString:@"illness" :@"triggersTable"];
        movie.food = [db selectFromTableNSString:@"food" :@"triggersTable"];
        movie.allergy = [db selectFromTableNSString:@"allergy" :@"triggersTable"];
        movie.highTemp = [db selectFromTableNSString:@"highTemp" :@"triggersTable"];
        movie.lowTemp = [db selectFromTableNSString:@"lowTemp" :@"triggersTable"];
        
        // SYMPTOMS REPORT
        movie.wheezing = [db selectFromTableNSString:@"wheezing" :@"symptomsTable"];
        movie.dcough = [db selectFromTableNSString:@"dcough" :@"symptomsTable"];
        movie.sbreath = [db selectFromTableNSString:@"sbreath" :@"symptomsTable"];
        movie.wchest = [db selectFromTableNSString:@"wchest" :@"symptomsTable"];
        movie.sleep = [db selectFromTableNSString:@"sleep" :@"symptomsTable"];
        
        UILabel *titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(0,0,150,30)];
		[titleLabel setBackgroundColor:[UIColor clearColor]];
		[titleLabel setTextColor:[UIColor whiteColor]];
		[titleLabel setFont:[UIFont fontWithName:@"HelveticaNeue-CondensedBold" size:20]];
		[titleLabel setText:@"RTLabel"];
		[self.navigationItem setTitleView:titleLabel];
		[titleLabel setTextAlignment:UITextAlignmentCenter];
		
		_dataArray = [NSMutableArray array];
		NSMutableDictionary *row1 = [NSMutableDictionary dictionary];
        NSString *labelRow1 = [NSString stringWithFormat:@"<font face='Times New Roman' size=18><p align=center><i><b>Personal Details</b></i></p></font><br><i>%@</i> | <i>%@</i> | <i>%@cm</i> | <i>%@kg</i> | <i>%@</i> | <i>%@</i>",movie.name,movie.surname,movie.height,movie.weight,movie.gender,dobString];
        
       // personalDetails = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@ %@ %@cm %@kg %@ %@",movie.name,movie.surname,movie.height,movie.weight,movie.gender,dobString]];
        

		[row1 setObject:labelRow1 forKey:@"text"];
        [self.dataArray addObject:row1];
		
		NSMutableDictionary *row2 = [NSMutableDictionary dictionary];
        NSString *labelRow2 = [NSString stringWithFormat:@"<font face='Times New Roman' size=18><p align=center><i><b>Medication Details</b></i></p></font><br><i>%@</i> <i>%@ dose</i> | <i>%@</i> <i>%@ dose</i> | <i>%@</i> <i>%@ dose</i>", movie.inputmedication,movie.dose,movie.inputmedication2, movie.dose2, movie.inputmedication3,movie.dose3];
        
       // medication = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@ %@ dose %@ %@ dose %@ %@ dose",movie.inputmedication,movie.dose,movie.inputmedication2, movie.dose2, movie.inputmedication3,movie.dose3]];
        
		[row2 setObject:labelRow2 forKey:@"text"];
		[self.dataArray addObject:row2];
        ////
		NSNumber *min =[db selectMinPeakFlow];
        
        if ([min intValue] == [[NSNumber numberWithInt:1000] intValue]) {
            min=[NSNumber numberWithInt:0];
        }
        
		NSMutableDictionary *row3 = [NSMutableDictionary dictionary];
        NSString *labelRow3 = [NSString stringWithFormat:@"<font face='Times New Roman' size=18><p align=center><i><b>Monthly Statistics</b></i></p></font><br><b>Max Peak Flow:</b> <i>%@</i></br><br><b>Min Peak Flow:</b> <i>%@</i></br><br><b>Number of Attacks:</b> <i>%i</i></br>",[db selectMaxPeakFlow],min,[db GetNumbersOfAttacks]];
        
        //monthlyStatistics = [[NSString alloc] initWithString:[NSString stringWithFormat:@"Max Peak Flow : %@ Min Peak Flow : %@ Number of Attacks: %i",[db selectMaxPeakFlow],min,[db GetNumbersOfAttacks]]];
        
		[row3 setObject:labelRow3 forKey:@"text"];
		[self.dataArray addObject:row3];
        
        NSMutableDictionary *row4 = [NSMutableDictionary dictionary];
        NSString *labelRow4 = [NSString stringWithFormat:@"<font face='Times New Roman' size=18><p align=center><i><b>Monthly Attacks</b></i></p></font>"];
		[row4 setObject:labelRow4 forKey:@"text"];
		[self.dataArray addObject:row4];
        
        
        NSMutableArray *MonthlyAttacksArray = [db GetMonthlyttacks];
        int countOfAttacks =0;
        for (id obj in MonthlyAttacksArray){
            countOfAttacks++;
            NSMutableArray *Attacks=[[NSMutableArray alloc] init];
            [Attacks addObject:obj];
            
            NSDateFormatter *dateFormatter3 = [[NSDateFormatter alloc] init];
            NSDate *dateFromString3 = [[NSDate alloc] init]; // <- non freed instance
            [dateFormatter3 setDateFormat:@"yyyy-MM-dd HH:mm:ss ZZZZ"];
            dateFromString3 = [dateFormatter3 dateFromString:obj[0]];
            
            [dateFormatter3 setDateFormat:@"yyyy-MM-dd"];
            
            NSString *dobString3 = [dateFormatter3 stringFromDate:dateFromString3];
           if (obj[0] == nil) {
                obj[0] = @"                                            ";
                
            }
            
            NSMutableDictionary *row5 = [NSMutableDictionary dictionary];
            NSString *labelRow5 = [NSString stringWithFormat:@"<b>%i.</b><font color=red> <i>%@</i> | <i>%@</i> mins | <i>%@</i> | <i>%@</i> | <i>%@</i></font>",countOfAttacks, dobString3,obj[1], obj[2], obj[3], obj[4]];
            
            //monthlyAttacks = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@ %@ %@ %@ %@", dobString3,obj[1], obj[2], obj[3], obj[4]]];
                              
            [row5 setObject:labelRow5 forKey:@"text"];
            [self.dataArray addObject:row5];
            
            ///  SYMPTOMS PER ATTACK
            
            NSMutableArray *symtomsMutableArray = [db GetSymptomsPerDate:dobString3];
            NSMutableDictionary *row6 = [NSMutableDictionary dictionary];
            NSMutableString *symptoms = [[NSMutableString alloc] init];

        
            if ([symtomsMutableArray[0] isEqualToString:@"YES"]) {
                [symptoms appendString:@" wheezing" ];
            }
            if ([symtomsMutableArray[1] isEqualToString:@"YES"]) {
                [symptoms appendString:@" dry cough" ];
            }
            if ([symtomsMutableArray[2] isEqualToString:@"YES"]) {
                [symptoms appendString:@" shortness of breath" ];
            }
            if ([symtomsMutableArray[3] isEqualToString:@"YES"]) {
                [symptoms appendString:@" whistling in chest" ];
            }
            if ([symtomsMutableArray[4] isEqualToString:@"YES"]) {
                [symptoms appendString:@" sleep" ];
            }
            if ([symptoms isEqualToString:@""]) {
                [symptoms appendString:@" No selected symptoms." ];
            }
    
            NSString *labelRow6 = [NSString stringWithFormat:@"<b><i>Symptoms :</i></b><i>%@</i>",symptoms];
            
            //sym = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@",symptoms]];
            [row6 setObject:labelRow6 forKey:@"text"];
            [self.dataArray addObject:row6];
            
            ///  TRIGGERS PER ATTACK
            
            NSMutableArray *triggersMutableArray = [db GetTriggersPerDate:dobString3];
            NSMutableDictionary *row7 = [NSMutableDictionary dictionary];
            NSMutableString *triggers = [[NSMutableString alloc] init];
            if ([triggersMutableArray[0] isEqualToString:@"YES"]) {
                [triggers appendString:@" Dust" ];
            }
            if ([triggersMutableArray[1] isEqualToString:@"YES"]) {
                [triggers appendString:@" Pollen" ];
            }
            if ([triggersMutableArray[2] isEqualToString:@"YES"]) {
                [triggers appendString:@" Exercise" ];
            }
            if ([triggersMutableArray[3] isEqualToString:@"YES"]) {
                [triggers appendString:@" Smoke" ];
            }
            if ([triggersMutableArray[4] isEqualToString:@"YES"]) {
                [triggers appendString:@" Illness" ];
            }
            if ([triggersMutableArray[5] isEqualToString:@"YES"]) {
                [triggers appendString:@" Food" ];
            }
            if ([triggersMutableArray[6] isEqualToString:@"YES"]) {
                [triggers appendString:@" Allergy" ];
            }
            if ([triggersMutableArray[7] isEqualToString:@"YES"]) {
                [triggers appendString:@" High Temperature" ];
            }
            if ([triggersMutableArray[8] isEqualToString:@"YES"]) {
                [triggers appendString:@" Low Temperature" ];
            }

            if ([triggers isEqualToString:@""]) {
                [triggers appendString:@" No selected triggers." ];
            }
            
            NSString *labelRow7 = [NSString stringWithFormat:@"<b><i>Triggers :</i></b><i>%@</i>",triggers];
            
            //trig = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@",triggers]];
                        
            [row7 setObject:labelRow7 forKey:@"text"];
            [self.dataArray addObject:row7];
            
        }

    }
    
    return self;
} 

#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView 
{
    // Return the number of sections.
    return 1;
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
	NSMutableDictionary *rowInfo = [self.dataArray objectAtIndex:indexPath.row];
	if ([rowInfo objectForKey:@"cell_height"])
	{
		return [[rowInfo objectForKey:@"cell_height"] floatValue];
	}
	else 
	{
		RTLabel *rtLabel = [DemoTableViewCell textLabel];
        rtLabel.lineSpacing = 20.0;
		[rtLabel setText:[rowInfo objectForKey:@"text"]];
		CGSize optimumSize = [rtLabel optimumSize];
		[rowInfo setObject:[NSNumber numberWithFloat:optimumSize.height+20] forKey:@"cell_height"];
		return [[rowInfo objectForKey:@"cell_height"] floatValue];
	}

}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section 
{
    // Return the number of rows in the section.
    return [self.dataArray count];
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
 
    static NSString *CellIdentifier = @"DemoTableViewCell";
    DemoTableViewCell *cell = (DemoTableViewCell*)[tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) 
	{
        cell = [[DemoTableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
        [cell.rtLabel setDelegate:self];
    }
	[cell.rtLabel setText:[[self.dataArray objectAtIndex:indexPath.row] objectForKey:@"text"]];
    cell.rtLabel.lineSpacing = 20.0;
    return cell;
}

#pragma mark RTLabel delegate

- (void)rtLabel:(id)rtLabel didSelectLinkWithURL:(NSURL*)url
{
	NSLog(@"did select url %@", url);
}

- (IBAction)revealMenu:(id)sender
{
    [self.slidingViewController anchorTopViewTo:ECRight];
}

#pragma mark -Server Actions

-(void)addTask:(Task *)task{
 //   NSMutableURLRequest *request = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[task toDictionary]];
  //  [[NSURLConnection alloc] initWithRequest:request delegate:self];
}



-(IBAction)sendEntry:(id)sender{
   /*
    
    
     Asthma *movie = [Asthma movieWithTitle:@""content:@""];
    // SELECT PERSONAL DETAILS!!!
    db = [[database alloc] init];
    
    NSMutableDictionary *takis = [[NSMutableDictionary alloc] init];
    takis = [db selectFromPeakFlow];
    for (id key in takis) {
        NSLog(@"key: %@, value: %@", key, [takis objectForKey:key]);
    }
    
    movie.name =[db selectFromTableNSString:@"name":@"personaldetailsTable"];
    movie.surname = [db selectFromTableNSString:@"surname" :@"personaldetailsTable"];
    movie.gender = [db selectFromTableNSString:@"gender" :@"personaldetailsTable"];
    movie.dob =[db selectFromTableNSString:@"dob" :@"personaldetailsTable"];
    
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    NSDate *dateFromString = [[NSDate alloc] init]; // <- non free instance
    [dateFormatter setDateFormat:@"yyyy-MM-dd HH:mm:ss ZZZZ"];
    dateFromString = [dateFormatter dateFromString:movie.dob];
    [dateFormatter setDateFormat:@"yyyy-MM-dd"];
    
    NSString *dobString = [dateFormatter stringFromDate:dateFromString];

    if (movie.dob == nil) {
        movie.dob = @"                                            ";
        
    }
    
    movie.height = [db selectFromTableNSNumber:@"height":@"personaldetailsTable"];
    movie.weight = [db selectFromTableNSNumber:@"weight":@"personaldetailsTable"];
    movie.doctorname = [db selectFromTableNSString:@"doctorname" :@"personaldetailsTable"];
    movie.doctormail = [db selectFromTableNSString:@"doctormail" :@"personaldetailsTable"];
    
    // SELECT ATTACK REPORT
    movie.dateAttack = [db selectFromTableNSString:@"dateAttack" :@"attackTable"];
    
    NSDateFormatter *dateFormatter2 = [[NSDateFormatter alloc] init];
    NSDate *dateFromString2 = [[NSDate alloc] init]; // <- non freed instance
    [dateFormatter2 setDateFormat:@"yyyy-MM-dd HH:mm:ss ZZZZ"];
    dateFromString2 = [dateFormatter2 dateFromString:movie.dateAttack];
    
    [dateFormatter2 setDateFormat:@"yyyy-MM-dd"];
    
    NSString *dateAttackString = [dateFormatter2 stringFromDate:dateFromString2];
    //NSString *dateAttackString;
    
    if (movie.dateAttack==nil) {
        movie.dateAttack = @"                                         ";
    }

    
    movie.duration = [db selectFromTableNSNumber:@"duration" :@"attackTable"];
    movie.prepostMeds = [db selectFromTableNSString:@"prepostMeds" :@"attackTable"];
    movie.notes = [db selectFromTableNSString:@"notes" :@"attackTable"];
    movie.location = [db selectFromTableNSString:@"location" :@"attackTable"];
    
    // MEDICATION REPORT
    movie.inputmedication =[db selectFromTableNSString:@"inputmedication":@"medicationTable"];
    movie.dose = [db selectFromTableNSNumber:@"dose" :@"medicationTable"];
    movie.inputmedication2 =[db selectFromTableNSString:@"inputmedication2":@"medicationTable"];
    movie.dose2 = [db selectFromTableNSNumber:@"dose2" :@"medicationTable"];
    movie.inputmedication3 =[db selectFromTableNSString:@"inputmedication3":@"medicationTable"];
    movie.dose3 = [db selectFromTableNSNumber:@"dose3" :@"medicationTable"];
    
    // TRIGGERS REPORT
    movie.dust = [db selectFromTableNSString:@"dust" :@"triggersTable"];
    movie.pollen = [db selectFromTableNSString:@"pollen" :@"triggersTable"];
    movie.exercise = [db selectFromTableNSString:@"exercise" :@"triggersTable"];
    movie.smoke = [db selectFromTableNSString:@"smoke" :@"triggersTable"];
    movie.illness = [db selectFromTableNSString:@"illness" :@"triggersTable"];
    movie.food = [db selectFromTableNSString:@"food" :@"triggersTable"];
    movie.allergy = [db selectFromTableNSString:@"allergy" :@"triggersTable"];
    movie.highTemp = [db selectFromTableNSString:@"highTemp" :@"triggersTable"];
    movie.lowTemp = [db selectFromTableNSString:@"lowTemp" :@"triggersTable"];
    
    // SYMPTOMS REPORT
    movie.wheezing = [db selectFromTableNSString:@"wheezing" :@"symptomsTable"];
    movie.dcough = [db selectFromTableNSString:@"dcough" :@"symptomsTable"];
    movie.sbreath = [db selectFromTableNSString:@"sbreath" :@"symptomsTable"];
    movie.wchest = [db selectFromTableNSString:@"wchest" :@"symptomsTable"];
    movie.sleep = [db selectFromTableNSString:@"sleep" :@"symptomsTable"];

    personalDetails = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@ %@ %@cm %@kg %@ %@",movie.name,movie.surname,movie.height,movie.weight,movie.gender,dobString]];    
    
    medication = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@ %@ dose %@ %@ dose %@ %@ dose",movie.inputmedication,movie.dose,movie.inputmedication2, movie.dose2, movie.inputmedication3,movie.dose3]];
    
    NSNumber *min =[db selectMinPeakFlow];
    
    if ([min intValue] == [[NSNumber numberWithInt:1000] intValue]) {
        min=[NSNumber numberWithInt:0];
    }
    monthlyStatistics = [[NSString alloc] initWithString:[NSString stringWithFormat:@"Max Peak Flow : %@ Min Peak Flow : %@ Number of Attacks: %i",[db selectMaxPeakFlow],min,[db GetNumbersOfAttacks]]];
    
    NSMutableArray *MonthlyAttacksArray = [db GetMonthlyttacks];
    int countOfAttacks =0;
    for (id obj in MonthlyAttacksArray){
        countOfAttacks++;
        NSMutableArray *Attacks=[[NSMutableArray alloc] init];
        [Attacks addObject:obj];
        
        NSDateFormatter *dateFormatter3 = [[NSDateFormatter alloc] init];
        NSDate *dateFromString3 = [[NSDate alloc] init]; // <- non freed instance
        [dateFormatter3 setDateFormat:@"yyyy-MM-dd HH:mm:ss ZZZZ"];
        dateFromString3 = [dateFormatter3 dateFromString:obj[0]];
        
        [dateFormatter3 setDateFormat:@"yyyy-MM-dd"];
        
        NSString *dobString3 = [dateFormatter3 stringFromDate:dateFromString3];
        if (obj[0] == nil) {
            obj[0] = @"                                            ";
            
        }
        
        monthlyAttacks = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@ %@ %@ %@ %@", dobString3,obj[1], obj[2], obj[3], obj[4]]];
     
        NSMutableArray *symtomsMutableArray = [db GetSymptomsPerDate:dobString3];
        NSMutableString *symptoms = [[NSMutableString alloc] init];
        
        
        if ([symtomsMutableArray[0] isEqualToString:@"YES"]) {
            [symptoms appendString:@" wheezing" ];
        }
        if ([symtomsMutableArray[1] isEqualToString:@"YES"]) {
            [symptoms appendString:@" dry cough" ];
        }
        if ([symtomsMutableArray[2] isEqualToString:@"YES"]) {
            [symptoms appendString:@" shortness of breath" ];
        }
        if ([symtomsMutableArray[3] isEqualToString:@"YES"]) {
            [symptoms appendString:@" whistling in chest" ];
        }
        if ([symtomsMutableArray[4] isEqualToString:@"YES"]) {
            [symptoms appendString:@" sleep" ];
        }
        if ([symptoms isEqualToString:@""]) {
            [symptoms appendString:@" No selected symptoms." ];
        }
        
     
        sym = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@",symptoms]];

        
        ///  TRIGGERS PER ATTACK
        
        NSMutableArray *triggersMutableArray = [db GetTriggersPerDate:dobString3];
       
        NSMutableString *triggers = [[NSMutableString alloc] init];
        if ([triggersMutableArray[0] isEqualToString:@"YES"]) {
            [triggers appendString:@" Dust" ];
        }
        if ([triggersMutableArray[1] isEqualToString:@"YES"]) {
            [triggers appendString:@" Pollen" ];
        }
        if ([triggersMutableArray[2] isEqualToString:@"YES"]) {
            [triggers appendString:@" Exercise" ];
        }
        if ([triggersMutableArray[3] isEqualToString:@"YES"]) {
            [triggers appendString:@" Smoke" ];
        }
        if ([triggersMutableArray[4] isEqualToString:@"YES"]) {
            [triggers appendString:@" Illness" ];
        }
        if ([triggersMutableArray[5] isEqualToString:@"YES"]) {
            [triggers appendString:@" Food" ];
        }
        if ([triggersMutableArray[6] isEqualToString:@"YES"]) {
            [triggers appendString:@" Allergy" ];
        }
        if ([triggersMutableArray[7] isEqualToString:@"YES"]) {
            [triggers appendString:@" High Temperature" ];
        }
        if ([triggersMutableArray[8] isEqualToString:@"YES"]) {
            [triggers appendString:@" Low Temperature" ];
        }
        
        if ([triggers isEqualToString:@""]) {
            [triggers appendString:@" No selected triggers." ];
        }
       
        trig = [[NSString alloc] initWithString:[NSString stringWithFormat:@"%@",triggers]];


//        Task *newTask = [[Task alloc] initWithName:personalDetails:medication:monthlyStatistics:monthlyAttacks:sym:trig:@"1"];
  //  [self addTask:newTask];
    
}
    UIAlertView *message = [[UIAlertView alloc] initWithTitle:@"Summary"
                                                      message:@"Your data have been uploaded to the server"
                                                     delegate:nil
                                            cancelButtonTitle:@"OK"
                                            otherButtonTitles:nil];
    [message show];*/
}




@end

