//
//  DailyReportInfoViewController.m
//  asthmakid_20130408
//
//  Created by mixalis menesidis on 8/4/13.
//  Copyright (c) 2013 mixalis menesidis. All rights reserved.
//

#import "DailyReportInfoViewController.h"
#import "ECSlidingViewController.h"
#import "SlideMenuViewController.h"
#import "PeakFlowViewController.h"
#import "SymptomsViewController.h"
#import "TriggersViewController.h"
#import "InfoViewController.h"
@interface DailyReportInfoViewController ()

@end

@implementation DailyReportInfoViewController
@synthesize slideMenuBtn;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    self.view.layer.shadowOpacity = 0.75f;
    self.view.layer.shadowRadius = 10.0f;
    self.view.layer.shadowColor = [UIColor blackColor].CGColor;
    
    
    if (![self.slidingViewController.underLeftViewController isKindOfClass:[SlideMenuViewController class]]) {
        self.slidingViewController.underLeftViewController  = [self.storyboard instantiateViewControllerWithIdentifier:@"SlideMenu"];
    }
    
    
    [self.view addGestureRecognizer:self.slidingViewController.panGesture];
    
    self.slideMenuBtn = [UIButton buttonWithType:UIButtonTypeCustom];
    slideMenuBtn.frame = CGRectMake(8, 10, 34, 24);
    [slideMenuBtn setBackgroundImage:[UIImage imageNamed:@"Button.png"] forState:UIControlStateNormal];
    [slideMenuBtn addTarget:self action:@selector(revealMenu:) forControlEvents:UIControlEventTouchUpInside];
    
    
    [self.view addSubview:self.slideMenuBtn];
    [[self navigationController] setNavigationBarHidden:NO animated:YES];
    //////////////


}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (IBAction)revealMenu:(id)sender
{
    [self.slidingViewController anchorTopViewTo:ECRight];
}


- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"symptomsId"])
    {
        SymptomsViewController *symptomsss = [segue destinationViewController];
        symptomsss.View = self;
    }
    else if ([segue.identifier isEqualToString:@"peakflowId"])
    {
        PeakFlowViewController *peakflow = [segue destinationViewController];
        peakflow.View = self;
    }
    else if ([segue.identifier isEqualToString:@"triggerId"])
    {
         TriggersViewController *trigger = [segue destinationViewController];
        trigger.view = self;
    }
}


- (void)viewWillAppear:(BOOL)animated {
    [super viewWillDisappear:animated];
    [[self navigationController] setNavigationBarHidden:YES animated:animated];
}

// ----------------------------------------

- (void)btnSecondView_Clicked:(id)sender{
    
	[UIApplication sharedApplication].networkActivityIndicatorVisible = TRUE;
	InfoViewController *InfoView = [self.storyboard instantiateViewControllerWithIdentifier:@"Info"];
	InfoView.delegate = self;
	InfoView.modalTransitionStyle = UIModalTransitionStylePartialCurl;
	[self presentModalViewController:InfoView animated:YES];
	[UIApplication sharedApplication].networkActivityIndicatorVisible =FALSE;
}

-(void)flipsideViewControllerDidFinish:(InfoViewController *)secondView{
	
	[self dismissModalViewControllerAnimated:YES];
}




@end
