//
//  GraphDataObject.m
//  SCGraphView
//
//  Created by Anton Domashnev on 25.02.13.
//  Copyright (c) 2013 Anton Domashnev. All rights reserved.
//

#import "GraphDataObject.h"
#import "GraphConstants.h"
#
@implementation GraphDataObject
@synthesize db;

#pragma mark Helpers

+ (NSInteger)randomBetweenFirst:(int)first andSecond:(int)second{
    
    return arc4random_uniform(second - first) + first;
}

+ (NSArray *)randomGraphDataObjectsArray:(NSInteger)count startDate:(NSDate *)startDate endDate:(NSDate *)endDate{
    
    NSInteger startUnixDate = [startDate timeIntervalSince1970];
    NSInteger endUnixDate = [endDate timeIntervalSince1970];
    
    NSMutableArray *array = [NSMutableArray array];
    
    NSMutableDictionary *dictionaryObjects = [[NSMutableDictionary alloc] init];
    
    for(int i = 0; i < count; i++){
        
        GraphDataObject *object = [[GraphDataObject alloc] init];
        object.time = [NSDate date];//[NSDate dateWithTimeIntervalSince1970: [GraphDataObject randomBetweenFirst: startUnixDate andSecond: endUnixDate]];

        //object.value = [NSNumber numberWithInt: [GraphDataObject randomBetweenFirst:MINIMUM_GRAPH_Y_VALUE andSecond:MAXIMUM_GRAPH_Y_VALUE]];
        object.value = [NSNumber numberWithInt: 2];
        [array addObject: object];
    }
    
    return array;
}
///////////////////
+ (NSArray *)graphTest:(NSMutableDictionary *)dictionary{
   
    NSMutableArray *array = [NSMutableArray array];
    NSString *_key =[[NSString alloc] init];
       NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"yyyy-MM-dd HH:mm:ss ZZZZ"];
    
    NSDate *_key2 = [[NSDate alloc] init ];
    
    float val = 0.0;

    for (id key in dictionary){
        
        GraphDataObject *object = [[GraphDataObject alloc] init];
        _key =key;
        _key2 = [dateFormatter dateFromString:_key];
        object.time = _key2;
        NSDate *temp =[NSDate date];
        
        //NSNumber *sum = [NSNumber numberWithFloat:([one floatValue] + [two floatValue])];
        val = ((float)[[dictionary objectForKey:key] floatValue]/(float)100)-(float)3;
        object.value = [NSNumber numberWithFloat:val];
        [array addObject: object];
    }
    
    return array;
}



@end
