//
//  SymptomsViewController.m
//  kid_peak_flow
//
//  Created by mixalis menesidis on 17/4/13.
//  Copyright (c) 2013 mixalis menesidis. All rights reserved.
//

#import "SymptomsViewController.h"
#import "SimplePost.h"
#import "Task.h"

@interface SymptomsViewController () <UITableViewDataSource, UITableViewDelegate>
@property (weak, nonatomic) IBOutlet UITableView *symptomsTable;
@property (nonatomic, strong) NSArray *items;


@end

@implementation SymptomsViewController
@synthesize db;
@synthesize saveButton;

static NSString *kAddTask = @"http://192.168.1.107/my_tasks/add_task.php";


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    
    UITableView *symptomsTable = [[UITableView alloc] initWithFrame:self.view.bounds style:UITableViewStyleGrouped];
    [symptomsTable setAutoresizingMask:UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth];
    [symptomsTable setDelegate:self];
    [symptomsTable setDataSource:self];
    [self.view addSubview:symptomsTable];
    self.symptomsTable = symptomsTable;
    
    self.items = [NSArray arrayWithObjects:@"Wheezing", @"Dry Cough", @"Shortness Of Breath", @"Whistling In Chest", @"Sleep", nil];

}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (void)viewWillAppear:(BOOL)animated {
    [super viewWillDisappear:animated];
    [[self navigationController] setNavigationBarHidden:NO animated:NO];
    
    saveButton = [[UIBarButtonItem alloc]initWithTitle:@"Save" style:UIBarButtonItemStyleBordered target:self action:@selector(saveEntry:)];

    self.navigationItem.title = @"Symptoms";
    self.navigationController.navigationBar.backItem.title = @"Back";
    
    [self.navigationController.navigationBar.topItem setRightBarButtonItem:saveButton];
}



- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [self.items count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSString *cellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellIdentifier];
    
    UISwitch *switches = [[UISwitch alloc] initWithFrame:(CGRectZero)];

    
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:cellIdentifier];
     //   [switches addTarget:self action:@selector(saveEntry:) forControlEvents:UIControlEventValueChanged];
    }
    //I use this in the viewDidLoad    
    
    cell.textLabel.text = [NSString stringWithFormat:@"%@", [self.items objectAtIndex:indexPath.row]]; // pairnei ta strings me ti seira
    
    cell.accessoryView = switches; // emfanizei se kathe cell switch
    return cell;
}

-(IBAction)saveEntry:(id)sender{
    db = [[database alloc] init];

    NSMutableArray *tempSwitches = [[NSMutableArray alloc]init];
    NSInteger nSections = [self.symptomsTable numberOfSections];
    NSString *tempBool;
    for (int j=0; j<nSections; j++) {
        NSInteger nRows = [self.symptomsTable numberOfRowsInSection:j];
        for (int i=0; i<nRows; i++) {
            NSIndexPath *indexPath = [NSIndexPath indexPathForRow:i inSection:j];
          
            
            
             UITableViewCell *cell = [self.symptomsTable cellForRowAtIndexPath:indexPath];
            
            UISwitch *switches = [[UISwitch alloc] initWithFrame:(CGRectZero)];
            //switches = (UISwitch *)[self.symptomsTable cellForRowAtIndexPath:indexPath].accessoryView ;
            
            switches = (UISwitch *)cell.accessoryView;
            if(switches.on)
                tempBool = @"YES";
            else
                tempBool= @"NO";
            
            [tempSwitches addObject:tempBool];            
          //  NSLog(tempBool);
        }
    }
    

    NSLog(@"%@",[tempSwitches objectAtIndex:0] );
    NSLog([tempSwitches objectAtIndex:1]);
    
    // DATE
    NSDate *now = [NSDate date];
    NSCalendar *calendar = [[NSCalendar alloc] initWithCalendarIdentifier:NSGregorianCalendar];
    NSDateComponents *components = [calendar components:NSYearCalendarUnit|NSMonthCalendarUnit|NSDayCalendarUnit fromDate:now];
    [components setHour:10];
    NSDate *today10am = [calendar dateFromComponents:components];
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"yyyy-MM-dd HH:mm:ss ZZZZ"];
    
    
    NSString *symptomsDate = [dateFormatter stringFromDate:today10am];
    
    
    [db updateSymptoms:symptomsDate :[tempSwitches objectAtIndex:0]:[tempSwitches objectAtIndex:1] :[tempSwitches objectAtIndex:2] :[tempSwitches objectAtIndex:3] :[tempSwitches objectAtIndex:4]];
    ////
    Task *userID = [[Task alloc] initWithName:@"1"];
    NSMutableURLRequest *request_userID = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[userID toDictionary:@"userID"]];
    [[NSURLConnection alloc] initWithRequest:request_userID delegate:self];
    
    Task *wheezing = [[Task alloc] initWithName:[tempSwitches objectAtIndex:0]];
    NSMutableURLRequest *request_wheezing = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[wheezing toDictionary:@"wheezing"]];
    [[NSURLConnection alloc] initWithRequest:request_wheezing delegate:self];

    Task *dcough = [[Task alloc] initWithName:[tempSwitches objectAtIndex:1]];
    NSMutableURLRequest *request_dcough = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[dcough toDictionary:@"dcough"]];
    [[NSURLConnection alloc] initWithRequest:request_dcough delegate:self];
    
    Task *sbreath = [[Task alloc] initWithName:[tempSwitches objectAtIndex:2]];
    NSMutableURLRequest *request_sbreath = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[sbreath toDictionary:@"sbreath"]];
    [[NSURLConnection alloc] initWithRequest:request_sbreath delegate:self];

    Task *wchest = [[Task alloc] initWithName:[tempSwitches objectAtIndex:3]];
    NSMutableURLRequest *request_wchest = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[wchest toDictionary:@"wchest"]];
    [[NSURLConnection alloc] initWithRequest:request_wchest delegate:self];

    Task *sleep = [[Task alloc] initWithName:[tempSwitches objectAtIndex:4]];
    NSMutableURLRequest *request_sleep = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[sleep toDictionary:@"sleep"]];
    [[NSURLConnection alloc] initWithRequest:request_sleep delegate:self];

    ////
    UIAlertView *message = [[UIAlertView alloc] initWithTitle:@"Symptoms"
                                                      message:@"Your symptoms report has been saved"
                                                     delegate:nil
                                            cancelButtonTitle:@"OK"
                                            otherButtonTitles:nil];
    [message show];
}
@end
