//
//  TriggersViewController.m
//  kid_peak_flow
//
//  Created by mixalis menesidis on 17/4/13.
//  Copyright (c) 2013 mixalis menesidis. All rights reserved.
//

#import "TriggersViewController.h"
#import "Asthma.h"
#import "database.h"
#import "sqlite3.h"
#import "SimplePost.h"
#import "Task.h"


@interface TriggersViewController ()<UITableViewDataSource, UITableViewDelegate>
@property (weak, nonatomic) IBOutlet UITableView *triggersTable;
@property (nonatomic, strong) NSArray *items;
@end

@implementation TriggersViewController
@synthesize db;
@synthesize saveButton;
static NSString *kAddTask = @"http://192.168.1.107/my_tasks/add_task.php";


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    Asthma *movie = [Asthma movieWithTitle:@""
                                   content:@""];
    db = [[database alloc] init];
    //movie.dust =[db selectFromTableNSString:@"dust":@"triggersTable"];
    UISwitch *switches = [[UISwitch alloc] initWithFrame:(CGRectZero)];
    

    
	// Do any additional setup after loading the view.
    UITableView *triggersTable = [[UITableView alloc] initWithFrame:self.view.bounds style:UITableViewStyleGrouped];
    [triggersTable  setAutoresizingMask:UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth];
    [triggersTable  setDelegate:self];
    [triggersTable  setDataSource:self];
    [self.view addSubview:triggersTable];
    self.triggersTable  = triggersTable ;
    
    self.items = [NSArray arrayWithObjects:@"Dust", @"Pollen", @"Exercise", @"Smoke", @"Illness", @"Food",@"Allergy",@"High Temperature",@"Low Temperature", nil];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (void)viewWillAppear:(BOOL)animated {
    [super viewWillDisappear:animated];
    [[self navigationController] setNavigationBarHidden:NO animated:NO];
    
    saveButton = [[UIBarButtonItem alloc]initWithTitle:@"Save" style:UIBarButtonItemStyleBordered target:self action:@selector(saveEntry:)];
    [[self navigationItem] setRightBarButtonItem:saveButton];
    self.navigationItem.title = @"Triggers";
    self.navigationController.navigationBar.backItem.title = @"Back";
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [self.items count];
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSString *cellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellIdentifier];
    
    UISwitch *switches = [[UISwitch alloc] initWithFrame:(CGRectZero)];
        
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:cellIdentifier];
    }
    //I use this in the viewDidLoad
    //[switches setOn:[db selectFromTableNSString:@"dust":@"triggersTable"]];
   
    cell.textLabel.text = [NSString stringWithFormat:@"%@", [self.items objectAtIndex:indexPath.row]]; // pairnei ta strings me ti seira
    
    cell.accessoryView = switches; // emfanizei se kathe cell switch
    return cell;
}
-(IBAction)saveEntry:(id)sender{
    db = [[database alloc] init];
    
    NSMutableArray *tempSwitches = [[NSMutableArray alloc]init];
    NSInteger nSections = [self.triggersTable numberOfSections];
    NSString *tempBool;
    for (int j=0; j<nSections; j++) {
        NSInteger nRows = [self.triggersTable numberOfRowsInSection:j];
        for (int i=0; i<nRows; i++) {
            NSIndexPath *indexPath = [NSIndexPath indexPathForRow:i inSection:j];
            
            
            
            UITableViewCell *cell = [self.triggersTable cellForRowAtIndexPath:indexPath];
            
            UISwitch *switches = [[UISwitch alloc] initWithFrame:(CGRectZero)];
            //switches = (UISwitch *)[self.symptomsTable cellForRowAtIndexPath:indexPath].accessoryView ;
            
            switches = (UISwitch *)cell.accessoryView;
            if(switches.on)
                tempBool = @"YES";
            else
                tempBool= @"NO";
            
            [tempSwitches addObject:tempBool];
            //  NSLog(tempBool);
        }
    }
    
    
    NSLog(@"%@",[tempSwitches objectAtIndex:0] );
    NSLog([tempSwitches objectAtIndex:1]);
    
    // DATE
    NSDate *now = [NSDate date];
    NSCalendar *calendar = [[NSCalendar alloc] initWithCalendarIdentifier:NSGregorianCalendar];
    NSDateComponents *components = [calendar components:NSYearCalendarUnit|NSMonthCalendarUnit|NSDayCalendarUnit fromDate:now];
    [components setHour:10];
    NSDate *today10am = [calendar dateFromComponents:components];
    
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"yyyy-MM-dd HH:mm:ss ZZZZ"];
    
    
    NSString *triggerDate = [dateFormatter stringFromDate:today10am];
    
    
    
    [db updateTriggers:triggerDate :[tempSwitches objectAtIndex:0] :[tempSwitches objectAtIndex:1] :[tempSwitches objectAtIndex:2] :[tempSwitches objectAtIndex:3] :[tempSwitches objectAtIndex:4] :[tempSwitches objectAtIndex:5] :[tempSwitches objectAtIndex:6] :[tempSwitches objectAtIndex:7] :[tempSwitches objectAtIndex:8]];
    //NSNumber *duration = self.movie.duration;
    ///
    
    Task *userID = [[Task alloc] initWithName:@"1"];
    NSMutableURLRequest *request_userID = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[userID toDictionary:@"userID"]];
    [[NSURLConnection alloc] initWithRequest:request_userID delegate:self];
    
    Task *dust = [[Task alloc] initWithName:[tempSwitches objectAtIndex:0]];
    NSMutableURLRequest *request_dust = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[dust toDictionary:@"dust"]];
    [[NSURLConnection alloc] initWithRequest:request_dust delegate:self];

    Task *pollen = [[Task alloc] initWithName:[tempSwitches objectAtIndex:1]];
    NSMutableURLRequest *request_pollen = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[pollen toDictionary:@"pollen"]];
    [[NSURLConnection alloc] initWithRequest:request_pollen delegate:self];

    Task *exercise = [[Task alloc] initWithName:[tempSwitches objectAtIndex:2]];
    NSMutableURLRequest *request_exercise = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[exercise toDictionary:@"exercise"]];
    [[NSURLConnection alloc] initWithRequest:request_exercise delegate:self];
    
    Task *smoke = [[Task alloc] initWithName:[tempSwitches objectAtIndex:3]];
    NSMutableURLRequest *request_smoke = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[smoke toDictionary:@"smoke"]];
    [[NSURLConnection alloc] initWithRequest:request_smoke delegate:self];

    Task *illness = [[Task alloc] initWithName:[tempSwitches objectAtIndex:4]];
    NSMutableURLRequest *request_illness = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[illness toDictionary:@"illness"]];
    [[NSURLConnection alloc] initWithRequest:request_illness delegate:self];
    
    Task *food = [[Task alloc] initWithName:[tempSwitches objectAtIndex:5]];
    NSMutableURLRequest *request_food = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[food toDictionary:@"food"]];
    [[NSURLConnection alloc] initWithRequest:request_food delegate:self];
    
    Task *allergy = [[Task alloc] initWithName:[tempSwitches objectAtIndex:6]];
    NSMutableURLRequest *request_allergy = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[allergy toDictionary:@"allergy"]];
    [[NSURLConnection alloc] initWithRequest:request_allergy delegate:self];
    
    Task *highTemp = [[Task alloc] initWithName:[tempSwitches objectAtIndex:7]];
    NSMutableURLRequest *request_highTemp = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[highTemp toDictionary:@"highTemp"]];
    [[NSURLConnection alloc] initWithRequest:request_highTemp delegate:self];
    
    Task *lowTemp = [[Task alloc] initWithName:[tempSwitches objectAtIndex:8]];
    NSMutableURLRequest *request_lowTemp = [SimplePost urlencodedRequestWithURL:[NSURL URLWithString:kAddTask] andDataDictionary:[lowTemp toDictionary:@"lowTemp"]];
    [[NSURLConnection alloc] initWithRequest:request_lowTemp delegate:self];
    
    ////
    UIAlertView *message = [[UIAlertView alloc] initWithTitle:@"Triggers"
                                                      message:@"Your triggers report has been saved"
                                                     delegate:nil
                                            cancelButtonTitle:@"OK"
                                            otherButtonTitles:nil];
    [message show];
}

 @end
