//
//  database.h
//  kid_peak_flow
//
//  Created by mixalis menesidis on 16/5/13.
//  Copyright (c) 2013 mixalis menesidis. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <sqlite3.h>
#import "Asthma.h"

@interface database : NSObject
{
    sqlite3 *db; // database
    Asthma * asthma;
}
// Functions AttackTable
-(void) updateAttack:(NSString *)date :(NSNumber *) duration :(NSNumber *)prepostMeds :(NSString *) notes: (NSNumber *) location;
-(void) selectAttack;

//Functions SymptomsTable
-(void) updateSymptoms:(NSString *) date:(NSString *) wheezing :(NSString *)dcough : (NSString *) sbreath:(NSString *) wchest: (NSString *) sleep;
-(void) selectSymptoms;

//Functions TriggersTable
-(void) updateTriggers:(NSString *) dateTriggers:(NSString *) dust:(NSString *) pollen:(NSString *) exercise:(NSString *) smoke:(NSString *) illness:(NSString *) food:(NSString *) allergy:(NSString *) highTemp:(NSString *) lowTemp;
-(void) selectTriggers;

//Functions PeakFlow
-(void) updatePeakFlow:(NSString *) datePeakFlow:(NSString *) peakflow;
-(void) selectPeakFlow;

//Functions Personal Details
-(void) updatePersonalDetails:(NSString *) name:(NSString *) surname:(NSString *) gender:(NSString *) dob:(NSNumber *) height:(NSNumber *) weight:(NSString *) doctorname:(NSString *) doctormail;
-(void) selectPersonalDetails;

//Functions Medication
-(void) updateMedication:(NSString *) inputmedication:(NSNumber *) dose:(NSString *) inputmedication2:(NSNumber *) dose2:(NSString *) inputmedication3:(NSNumber *) dose3;
-(void) selectMedication;


// FUNCTIONS SELECT FROM DATABASE INITIALIZATION
- (NSString *) selectFromTableNSString:(NSString *) field:(NSString *) table;
- (NSNumber *) selectFromTableNSNumber:(NSString *) field:(NSString *) table;

-(int) GetNumbersOfAttacks;


-(NSDictionary *) selectFromPeakFlow;
- (NSNumber *) selectMaxPeakFlow;
- (NSNumber *) selectMinPeakFlow;

-(NSMutableArray *) GetMonthlyttacks;

-(NSMutableArray *) GetTriggersPerDate:(NSString *) dateOfAttack;
-(NSMutableArray *) GetSymptomsPerDate:(NSString *) dateOfAttack;

@end



